import java.io.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

public class AboutSweeperBox extends JFrame {
 
    
    public static void main(String args[]) {
       new AboutBox();
       //this.show();
    }
    
 
    
    public AboutSweeperBox()  {
       AboutBoxSetup();
       this.show();
    }
    
    
 private void AboutBoxSetup () {    
    setDefaultCloseOperation (DISPOSE_ON_CLOSE);
    Container content = getContentPane();
    JTextArea ta = new JTextArea(8,40);    
    JScrollPane scroller = new JScrollPane(ta );
    content.add(scroller, "Center");
    
    this.setTitle ("About Minesweeper");      
     
     
  
   try {
    InputStream in = AboutSweeperBox.class.getResourceAsStream("aboutMinesweeper.txt");
    BufferedReader br = new BufferedReader(new InputStreamReader(in));
    String line;
    while ((line = br.readLine()) != null)
        ta.append (line + "\n");
   }  catch (IOException e) {}
 
    
     
    ta.setEditable(false);
    ta.setLineWrap(true);
    ta.setWrapStyleWord  (true);
   
    pack();
   this.setSize(600,450); this.setLocation(200,100);
   setVisible(true);
   
   
    
   ta.updateUI();
   
     
   
 }
}



